org.codehaus.plexus.metadata

## Class ClassComponentDescriptorExtractor

- java.lang.Object
- - org.codehaus.plexus.metadata.ComponentDescriptorExtractorSupport
  - - org.codehaus.plexus.metadata.ClassComponentDescriptorExtractor

All Implemented Interfaces:
  ComponentDescriptorExtractor

    public class ClassComponentDescriptorExtractor
    extends ComponentDescriptorExtractorSupport

Extracts `ComponentDescriptor` from class files.

Version:
  $Id: ClassComponentDescriptorExtractor.java 8174 2009-05-11 15:15:23Z jvanzyl $

### Field Summary

### Fields inherited from interface org.codehaus.plexus.metadata.ComponentDescriptorExtractor

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`ClassComponentDescriptorExtractor()`
`ClassComponentDescriptorExtractor(ClassComponentGleaner gleaner)`

### Method Summary

Methods
`java.util.List<ComponentDescriptor<?>>` `extract(MetadataGenerationRequest configuration, ComponentDescriptor<?>[] roleDefaults)`

### Methods inherited from class org.codehaus.plexus.metadata.ComponentDescriptorExtractorSupport

`applyDefaults, getDefaultsByRole`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassComponentDescriptorExtractor

    public ClassComponentDescriptorExtractor(ClassComponentGleaner gleaner)

#### ClassComponentDescriptorExtractor

    public ClassComponentDescriptorExtractor()

### Method Detail

#### extract

    public java.util.List<ComponentDescriptor<?>> extract(MetadataGenerationRequest configuration,
                                                 ComponentDescriptor<?>[] roleDefaults)
                                                   throws java.lang.Exception

Throws:
  `java.lang.Exception`